<?php
global $woocommerce, $post,$we_main_purpose;
if($we_main_purpose=='woo'){
	return;
}
	
$we_startdate = we_global_startdate();
$we_enddate = we_global_enddate() ;
$we_adress = get_post_meta( $post->ID, 'we_adress', true ) ;
$we_lat = get_post_meta( $post->ID, 'we_latitude_longitude', true ) ;
$we_phone = get_post_meta( $post->ID, 'we_phone', true ) ;
$we_email = get_post_meta( $post->ID, 'we_email', true ) ;
$we_website = get_post_meta( $post->ID, 'we_website', true ) ;
$we_speakers = get_post_meta( $post->ID, 'we_speakers', true );
$we_schedu = get_post_meta( $post->ID, 'we_schedu', false );?>
<div class="woo-event-info exwt-col12">
	<?php
	if(!is_array($we_speakers) && $we_speakers!=''){
		$we_speakers = explode(",",$we_speakers);
	}
	$we_text_speaker = get_option('we_text_speaker');
	if(is_array($we_speakers)){?>
    <span class="sub-lb spk-sub"><?php if($we_text_speaker!=''){ echo esc_attr($we_text_speaker);}else{ echo esc_html__('Speaker','exthemes');}?></span>
	<div class="speaker-info exwt-row">
		<?php
        foreach($we_speakers as $speaker){?>
            <div class="exwt-col6 exwt-col-sm6">
                <div class="media">
                    <div class="media-body">
                        <div class="media-heading">
                            <div class="speaker-avatar">
                                <?php 
                                if(get_the_post_thumbnail($speaker, 'thumbnail')!=''){
                                    echo get_the_post_thumbnail($speaker, 'thumbnail');
                                }else if(get_the_post_thumbnail_url($speaker,'thumbnail')!=''){
                                    echo '<img src="'.esc_url(get_the_post_thumbnail_url($speaker,'thumbnail')).'">';
                                }?>

                            </div>
                            <div class="speaker-details">
                                <span><a href="<?php echo get_permalink($speaker);?>"><?php echo get_the_title($speaker);?></a></span>
                                <span><?php echo get_post_meta( $speaker, 'speaker_position', true );?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div><?php
        }?>
    </div>
    <?php }?>
    <div class="date-info exwt-row">
        <?php
		$we_show_timezone = get_option('we_show_timezone');
		$we_time_zone = get_post_meta($post->ID,'we_time_zone', true );
		$class_d = 'exwt-col6';
		if($we_show_timezone=='yes' && $we_time_zone!='' && $we_time_zone!='def'){
			$class_d = 'exwt-col4';
		}
		$all_day = get_post_meta($post->ID,'we_allday', true );
        if($we_startdate){?>
            <div class="<?php echo esc_attr($class_d);?> event-startdate">
                <div class="media">
                    <div class="media-body">
                        <span class="sub-lb"><?php echo get_option('we_text_start')!='' ? get_option('we_text_start') : esc_html__('Start','exthemes');?></span>           	
                        <div class="media-heading">
                            <?php 
                            echo date_i18n( get_option('date_format'), $we_startdate).' ';
                            if(date_i18n(get_option('time_format'), $we_startdate)!=date_i18n(get_option('time_format'), $we_enddate) && $all_day!='1' ){
                            }else{
                                if(($we_enddate=='') || ($all_day!='1' && (date_i18n(get_option('time_format'), $we_startdate)!=date_i18n(get_option('time_format'), $we_enddate)))){ 
                                    echo date_i18n(get_option('time_format'), $we_startdate);
                                }
                            }?>
                        </div>
                    </div>
                </div>
            </div><?php
        }
        if($we_enddate){?>
            <div class="<?php echo esc_attr($class_d);?> event-enddate">
                <div class="media">
                    <div class="media-body">
                        <span class="sub-lb"><?php echo get_option('we_text_end')!='' ? get_option('we_text_end') : esc_html__('End','exthemes');?> </span>     	
                        <div class="media-heading">
                            <?php 
                            echo date_i18n( get_option('date_format'), $we_enddate);
                            if(date_i18n(get_option('time_format'), $we_startdate)!=date_i18n(get_option('time_format'), $we_enddate) && $all_day!='1' ){
                            }else{

                                if($all_day!='1' && (date_i18n(get_option('time_format'), $we_startdate)!=date_i18n(get_option('time_format'), $we_enddate))){ 
                                    echo ' '.date_i18n(get_option('time_format'), $we_enddate);
                                }elseif($all_day=='1'){ 
    								$alltrsl = get_option('we_text_allday')!='' ? get_option('we_text_allday') : esc_html__('(All day)','exthemes');
    								echo '<span> '.$alltrsl.'</span>';
    							}
                            }?>
                        </div>
                    </div>
                </div>
            </div><?php
        }
        if($we_enddate && $all_day!='1'){?>
            <div class="<?php echo esc_attr($class_d);?> event-enddate">
                <div class="media">
                    <div class="media-body">
                        <span class="sub-lb"><?php echo get_option('we_text_end')!='' ? get_option('we_text_end') : esc_html__('Time','exthemes');?> </span>         
                        <div class="media-heading">
                            <?php 
                            echo date_i18n( get_option('time_format'), $we_startdate).' - '.date_i18n( get_option('time_format'), $we_enddate);
                            ?>
                        </div>
                    </div>
                </div>
            </div><?php
        }
		if($class_d == 'exwt-col4'){?>
        	<div class="<?php echo esc_attr($class_d);?> event-timezone">
                <div class="media">
                    <div class="media-body">
                        <span class="sub-lb"><?php echo get_option('we_text_timezone_')!='' ? get_option('we_text_timezone_') : esc_html__('Timezone','exthemes');?> </span>     	
                        <div class="media-heading">
                            <?php 
							if (strpos($we_time_zone, '-') !== false) {
								echo apply_filters( 'wooevent_timezone_html', 'UTC'.$we_time_zone, $we_time_zone );
							}else{
                            	echo apply_filters( 'wooevent_timezone_html', 'UTC+'.$we_time_zone, $we_time_zone );
							}
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        <?php }?>
    </div>
    <?php
	$sun_offset = get_post_meta($post->ID,'we_sun_offset', true );
	if(get_option('we_sunsire_set')=='yes' && $we_lat!='' && $we_startdate!='' && $sun_offset!='off'){
		$lat_log = explode(",",$we_lat) ;
		$sun_info = date_sun_info($we_startdate,$lat_log[0],$lat_log[1]);
		$gmt_offset = get_option('gmt_offset');
		$sunrise = $sun_info['sunrise'] + ($gmt_offset*3600);
		$sunset = $sun_info['sunset'] + ($gmt_offset*3600);
		if($sun_offset!='' && is_numeric($sun_offset)){
			$sunrise = $sunrise + ($sun_offset*3600);
			$sunset = $sunset + ($sun_offset*3600);
		}?>
        <div class="exwt-row sunset-sunsire-info">
            <div class="exwt-col6">
                <div class="media">
                    <div class="media-body">
                         <span class="sub-lb"><?php echo get_option('we_text_sunrise')!='' ? get_option('we_text_sunrise') : esc_html__('Sunrise','exthemes');?> </span>
                        <div class="media-heading">
                            <?php  echo date(get_option('time_format'),$sunrise);?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="exwt-col6">
                <div class="media">
                    <div class="media-body">
                        <span class="sub-lb"><?php echo get_option('we_text_sunset')!='' ? get_option('we_text_sunset') : esc_html__('Sunset','exthemes');?> </span>    	
                        <div class="media-heading">
                            <?php  echo date(get_option('time_format'),$sunset);?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php }?>
    <div class="exwt-row location-info">
            <?php 
            if($we_adress){?>
            <div class="exwt-col6">
                <div class="media">
                    <div class="media-body">
                        <span class="sub-lb"><?php echo get_option('we_text_addres')!='' ? get_option('we_text_addres') : esc_html__('Address','exthemes');?> </span>          	
                        <div class="media-heading">
                            <?php echo exwe_dataes($we_adress);?>&nbsp;&nbsp;
                            <a href="http://maps.google.com/?q=<?php echo exwe_dataes($we_lat!='' ? $we_lat : $we_adress);?>" target="_blank" class="map-link small-text"><?php echo get_option('we_text_vmap')!='' ? get_option('we_text_vmap') : esc_html__('View map','exthemes') ?> <i class="fa fa-map-marker"></i></a>
                        </div>
                    </div>
                </div>
            </div>
            <?php }?>
            <?php 
            if($we_phone){?>
            <div class="exwt-col6">
                <div class="media">
                    <div class="media-body">
                        <span class="sub-lb"><?php echo get_option('we_text_phone')!='' ? get_option('we_text_phone') : esc_html__('Phone','exthemes');?> </span>      	
                        <div class="media-heading">
                            <?php echo exwe_dataes($we_phone);?>
                        </div>
                    </div>
                </div>
            </div>
            <?php }?>
    </div>
    
    <div class="exwt-row more-info">
            <?php 
            if($we_email){?>
            <div class="exwt-col6">
                <div class="media">
                    <div class="media-body">
                        <span class="sub-lb"><?php echo get_option('we_text_email')!='' ? get_option('we_text_email') : esc_html__('Email','exthemes');?></span>   	
                        <div class="media-heading">
                            <a href="mailto:<?php echo exwe_dataes($we_email);?>"><?php echo exwe_dataes($we_email);?></a>
                        </div>
                    </div>
                </div>
            </div>
            <?php }?>
            <?php 
            if($we_website){?>
            <div class="exwt-col6">
                <div class="media">
                    <div class="media-body">
                        <span class="sub-lb"><?php echo get_option('we_text_web')!='' ? get_option('we_text_web') : esc_html__('Website','exthemes');?></span> 	
                        <div class="media-heading">
                            <a href="<?php echo esc_url($we_website);?>" target="_blank"><?php echo esc_url($we_website);?></a>
                        </div>
                    </div>
                </div>
            </div>
            <?php }?>
    </div>
    <?php 
	$we_custom_metadata = get_post_meta( $post->ID, 'we_custom_metadata', false );
	if(is_array($we_custom_metadata) && !empty($we_custom_metadata)){
		$number = count($we_custom_metadata);?>
		<div class="exwt-row we-custom-event-info">
			<?php 
			$i = 0;
			foreach($we_custom_metadata as $item){
				$i++;?>
				<div class="exwt-col6 exwt-col-sm6">
					<div class="media">
						<div class="media-body">
							<span class="sub-lb"><?php echo exwe_dataes($item['we_custom_title']);?></span>
							<div class="media-heading">
                                <span class="we-sub-ct media-heading"><?php echo exwe_dataes($item['we_custom_content']);?></span>
							</div>
						</div>
					</div>
				</div>
				<?php 
				if($i < $number && $i % 2==0){?>
				</div>
				<div class="exwt-row">	
				<?php }
			}?>
		</div>
	<?php }
    do_action('we_single_after_meta_html')?>
</div>