<?php
global $we_sidebar, $woocommerce, $product,$exwe_sgct,$layout;
?>
<div class="exwe-info-sp exwe-layout-3">
    <div class="exwe-details">
        <?php 
        do_action('exwe_before_single_event');
        wc_print_notices();
        ?>
        <div class="exwe-top-imgs" >
            <div class="exwe-info-ct1">
                <?php woocommerce_show_product_images(); ?>
        	</div>
        </div>
        <div class="exwe-heading">
            <h1 class="exwe-title">
                <?php the_title();?>
            </h1>
            <div class="exwe-shortdes"><?php woocommerce_template_single_excerpt()?></div>
        </div>
        <div class="exwe-info">
                <div class="exwe-info-ct1">
                    <div class="exwe-booking-form">
                        <div class="exwe-evprice">
                            <h3 class="<?php echo esc_attr( apply_filters( 'woocommerce_product_price_class', 'price' ) ); ?>"><?php echo $product->get_price_html(); ?></h3><?php echo exwe_show_reviews( get_the_ID()); ?>
                        </div>
                        <?php
                        woocommerce_template_single_add_to_cart();
                        do_action('exwe_after_atc_form')
                        ?>
                    </div>
                </div>
            <div class="exwe-info-ct2">
                <?php wooevent_template_plugin('event-meta');?>
                <div class="clear"></div>
            </div>
            <div class="exwe-info-ct3">
                <?php 
                woocommerce_output_product_data_tabs();
                wooevent_template_plugin('event-schedu');
                exwe_show_upsells(get_the_ID(),$product);
                $nb_rlt = $we_sidebar!='hide' ? 3 : 4;
                $nb_rlt = apply_filters('exwe_number_related_items',$nb_rlt);
                $related_products = wc_get_related_products(get_the_ID(),$nb_rlt);
                if ( $related_products ):
                    ?>
                    <div class="exwe-related-event woo-event-schedu">
                        <h3 class="exwe-dh-title"><?php echo get_option('we_text_related')!='' ? get_option('we_text_related') : esc_html__( 'Related Events', 'exthemes' ) ?></h3>
                        <div class="we-grid-shortcode gr-classic <?php echo $we_sidebar!='hide' ? 'we-grid-column-3' : 'we-grid-column-4';?>">
                            <div class="we-listing-inner">
                            <?php
                            global $number_excerpt,$img_size;
                            $img_size = 'wethumb_460x307';
                            $number_excerpt = '0';
                            foreach ( $related_products as $related_product ) : ?>
                                <?php
                                $post_object = get_post( $related_product );
                                setup_postdata( $GLOBALS['post'] =& $post_object );
                                wooevent_template_plugin('shop', false);
                            endforeach; ?>
                            </div>
                        </div>
                        <div class="clear"></div>
                    </div>
                    <?php
                endif;
                wp_reset_postdata();
                ?>
            </div>
            
        </div>
        <div class="clear"></div>
        <?php do_action('exwe_after_main_content');?>
    </div>
</div>
<?php