<?php
if(get_option('exwe_exoption') =='yes'){
	if ( file_exists( dirname( __FILE__ ) . '/cmb2/init.php' ) ) {
		require_once dirname( __FILE__ ) . '/cmb2/init.php';
	} elseif ( file_exists( dirname( __FILE__ ) . '/CMB2/init.php' ) ) {
		require_once dirname( __FILE__ ) . '/CMB2/init.php';
	}
	require_once dirname( __FILE__ ) . '/Post-Search-field/cmb2_post_search_field.php';
}
function we_custom_admin_css() {
	$we_main_purpose = get_option('we_main_purpose');
	$we_layout_purpose = get_option('we_slayout_purpose');
	echo '<style>';
	if($we_layout_purpose == 'woo' && ($we_main_purpose!='event' && $we_main_purpose!='') || (get_option('we_old_layout')!='yes' && $we_layout_purpose == 'woo') ){
		echo '
		.post-type-product .postbox-container #custom-field.postbox,
		.post-type-product .postbox-container #sponsors-of-event.postbox,
		.post-type-product .postbox-container #event-settings.postbox,
		.post-type-product .postbox-container #location-settings.postbox,
		.post-type-product .postbox-container #layout-settings.postbox{ height:0; overflow: hidden; margin-bottom:0; border:0;}
		.post-type-product .postbox-container #custom-field.postbox.active-c,
		.post-type-product .postbox-container #sponsors-of-event.postbox.active-c,
		.post-type-product .postbox-container #event-settings.postbox.active-c,
		.post-type-product .postbox-container #location-settings.postbox.active-c,
		.post-type-product .postbox-container #layout-settings.postbox.active-c{ height:auto; overflow: visible;    margin-bottom: 20px; border: 1px solid #e5e5e5;}
		';
	}
	if($we_main_purpose=='meta'){
		echo '
		#wooevents .we_listing_order, #wooevents .we_sidebar,#wooevents .we_slayout{ display: none; }
		';
	}
	echo '.post-type-product #ui-datepicker-div .ui-datepicker-year{display: inline-block !important;}
	.edit_form_line input.cat.textfield[name=cat]{display: inline-block !important;}</style>';
}
add_action( 'admin_head', 'we_custom_admin_css' );
function we_get_product_to_duplicate( $id ) {
	global $wpdb;
	
	$id = absint( $id );
	
	if ( ! $id ) {
		return false;
	}
	
	$post = $wpdb->get_results( $wpdb->prepare("SELECT * FROM $wpdb->posts WHERE ID=%d", $id) );
	
	if ( isset( $post->post_type ) && $post->post_type == "revision" ) {
		$id   = $post->post_parent;
		$post = $wpdb->get_results( $wpdb->prepare("SELECT * FROM $wpdb->posts WHERE ID=%d", $id) );
	}
	
	return $post[0];
}
function we_duplicate_post_taxonomies( $id, $new_id, $post_type ) {
	$exclude    = array_filter( apply_filters( 'woocommerce_duplicate_product_exclude_taxonomies', array() ) );
	$taxonomies = array_diff( get_object_taxonomies( $post_type ), $exclude );

	foreach ( $taxonomies as $taxonomy ) {
		$post_terms       = wp_get_object_terms( $id, $taxonomy );
		$post_terms_count = sizeof( $post_terms );

		for ( $i = 0; $i < $post_terms_count; $i++ ) {
			wp_set_object_terms( $new_id, $post_terms[ $i ]->slug, $taxonomy, true );
		}
	}
}

/**
 * Copy the meta information of a post to another post.
 *
 * @param mixed $id
 * @param mixed $new_id
 */
function we_duplicate_post_meta( $id, $new_id ) {
	global $wpdb;

	$sql     = $wpdb->prepare( "SELECT meta_key, meta_value FROM $wpdb->postmeta WHERE post_id = %d", absint( $id ) );
	$exclude = array_map( 'esc_sql', array_filter( apply_filters( 'woocommerce_duplicate_product_exclude_meta', array( 'total_sales' ) ) ) );

	if ( sizeof( $exclude ) ) {
		$sql .= " AND meta_key NOT IN ( '" . implode( "','", $exclude ) . "' )";
	}

	$post_meta = $wpdb->get_results( $sql );

	if ( sizeof( $post_meta ) ) {
		$sql_query_sel = array();
		$sql_query     = "INSERT INTO $wpdb->postmeta (post_id, meta_key, meta_value) ";

		foreach ( $post_meta as $post_meta_row ) {
			$sql_query_sel[] = $wpdb->prepare( "SELECT %d, %s, %s", $new_id, $post_meta_row->meta_key, $post_meta_row->meta_value );
		}

		$sql_query .= implode( " UNION ALL ", $sql_query_sel );
		$wpdb->query( $sql_query );
	}
}
function we_duplicate_product( $post, $parent = 0, $post_status = '' ) {
	global $wpdb;

	$new_post_author    = wp_get_current_user();
	$new_post_date      = current_time( 'mysql' );
	$new_post_date_gmt  = get_gmt_from_date( $new_post_date );

	if ( $parent > 0 ) {
		$post_parent        = $parent;
		$post_status        = $post_status ? $post_status : 'publish';
	} else {
		$post_parent        = $post->post_parent;
		$post_status        = $post_status ? $post_status : 'draft';
	}

	// Insert the new template in the post table
	$wpdb->insert(
		$wpdb->posts,
		array(
			'post_author'               => $new_post_author->ID,
			'post_date'                 => $new_post_date,
			'post_date_gmt'             => $new_post_date_gmt,
			'post_content'              => $post->post_content,
			'post_content_filtered'     => $post->post_content_filtered,
			'post_title'                => $post->post_title,
			'post_excerpt'              => $post->post_excerpt,
			'post_status'               => $post_status,
			'post_type'                 => $post->post_type,
			'comment_status'            => $post->comment_status,
			'ping_status'               => $post->ping_status,
			'post_password'             => $post->post_password,
			'to_ping'                   => $post->to_ping,
			'pinged'                    => $post->pinged,
			'post_modified'             => $new_post_date,
			'post_modified_gmt'         => $new_post_date_gmt,
			'post_parent'               => $post_parent,
			'menu_order'                => $post->menu_order,
			'post_mime_type'            => $post->post_mime_type
		)
	);

	$new_post_id = $wpdb->insert_id;

	// Copy the taxonomies
	we_duplicate_post_taxonomies( $post->ID, $new_post_id, $post->post_type );

	// Copy the meta information
	we_duplicate_post_meta( $post->ID, $new_post_id );

	// Copy the children (variations)
	if ( ( $children_products = get_children( 'post_parent=' . $post->ID . '&post_type=product_variation' ) ) ) {
		foreach ( $children_products as $child ) {
			we_duplicate_product( we_get_product_to_duplicate( $child->ID ), $new_post_id, $child->post_status );
		}
	}

	return $new_post_id;
}
function woometa_update($_post_e,$we_ID,$post_id){
	if(isset($_post_e['_downloadable'])){
		update_post_meta($we_ID, '_downloadable', $_post_e['_downloadable']);
	}
	if(isset($_post_e['_virtual']) && $_post_e['_virtual']=='on' ){
		update_post_meta($we_ID, '_virtual', 'yes');
	}
	update_post_meta($we_ID, '_visibility', $_post_e['_visibility']);
	update_post_meta($we_ID, '_stock_status', $_post_e['_stock_status']);
	update_post_meta( $we_ID, '_visibility', 'visible' );
    //update_post_meta( $we_ID, '_stock_status', 'instock');
	update_post_meta($we_ID, '_regular_price', $_post_e['_regular_price']);
	update_post_meta($we_ID, '_sale_price', $_post_e['_sale_price']);
	update_post_meta($we_ID, '_sold_individually', $_post_e['_sold_individually']);
	//deposit plugin support
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	if (is_plugin_active( 'woocommerce-deposits/woocommmerce-deposits.php' ) ) {
		if(isset($_post_e['_wc_deposits_enable_deposit'])){
			$enable_deposit = isset($_post_e['_wc_deposits_enable_deposit']) ? 'yes' : 'no';
			$force_deposit = isset($_post_e['_wc_deposits_force_deposit']) ? 'yes' : 'no';
			$enable_persons = isset($_post_e['_wc_deposits_enable_per_person']) ? 'yes' : 'no';
			$amount_type = (isset($_post_e['_wc_deposits_amount_type']) &&
								   ($_post_e['_wc_deposits_amount_type'] === 'fixed' ||
									$_post_e['_wc_deposits_amount_type'] === 'percent')) ?
									  $_post_e['_wc_deposits_amount_type'] : 'fixed';
			$amount = isset($_post_e['_wc_deposits_deposit_amount']) &&
					  is_numeric($_post_e['_wc_deposits_deposit_amount']) ? floatval($_post_e['_wc_deposits_deposit_amount']) : 0.0;
		
			if ($amount <= 0 || ($amount_type === 'percent' && $amount >= 100)) {
			  $enable_deposit = 'no';
			  $amount = '';
			}
		
			update_post_meta($we_ID, '_wc_deposits_enable_deposit', $enable_deposit);
			update_post_meta($we_ID, '_wc_deposits_force_deposit', $force_deposit);
			update_post_meta($we_ID, '_wc_deposits_amount_type', $amount_type);
			update_post_meta($we_ID, '_wc_deposits_deposit_amount', $amount);
		}else if(isset($_post_e['_wc_deposit_enabled'])){
			$enable_deposit = isset($_post_e['_wc_deposit_enabled']) ? $_post_e['_wc_deposit_enabled'] : '';
			$deposit_type = isset($_post_e['_wc_deposit_type']) ? $_post_e['_wc_deposit_type'] : '';
			$deposit_amount = isset($_post_e['_wc_deposit_amount']) ? $_post_e['_wc_deposit_amount'] : 'float';
			$payment_plans = isset($_post_e['_wc_deposit_payment_plans']) ? $_post_e['_wc_deposit_payment_plans'] : 'int';
			$selected_type = isset($_post_e['_wc_deposit_selected_type']) ? $_post_e['_wc_deposit_selected_type'] : '';
			$booking_persons = isset($_post_e['_wc_deposit_multiple_cost_by_booking_persons']) ? $_post_e['_wc_deposit_multiple_cost_by_booking_persons'] : 'issetyesno';
			
			update_post_meta($we_ID, '_wc_deposit_enabled', $enable_deposit);
			update_post_meta($we_ID, '_wc_deposit_type', $deposit_type);
			update_post_meta($we_ID, '_wc_deposit_amount', $deposit_amount);
			update_post_meta($we_ID, '_wc_deposit_payment_plans', $payment_plans);
			update_post_meta($we_ID, '_wc_deposit_selected_type', $selected_type);
			update_post_meta($we_ID, '_wc_deposit_multiple_cost_by_booking_persons', $booking_persons);
		}
	}
	//end
	
	if($_post_e['_sale_price']==''){
		update_post_meta( $we_ID, '_price', isset($_post_e['_regular_price']) ? $_post_e['_regular_price']: '' );
	}else{
		update_post_meta( $we_ID, '_price', isset($_post_e['_sale_price']) ? $_post_e['_sale_price']: '' );
	}
	isset($_post_e['we_subtitle']) ? update_post_meta($we_ID, 'we_subtitle', $_post_e['we_subtitle']) :'';
	update_post_meta($we_ID, '_purchase_note', $_post_e['_purchase_note']);
	update_post_meta($we_ID, '_featured', $_post_e['current_featured']);
	update_post_meta($we_ID, '_weight', $_post_e['_weight']);
	update_post_meta($we_ID, '_length', $_post_e['_length']);
	update_post_meta($we_ID, '_width', $_post_e['_width']);
	update_post_meta($we_ID, '_height', $_post_e['_height']);
	update_post_meta($we_ID, '_sku', $_post_e['_sku']);
	update_post_meta($we_ID, '_product_attributes', get_post_meta($post_id,'_product_attributes', true ));
	update_post_meta($we_ID, '_sale_price_dates_from', $_post_e['_sale_price_dates_from']);
	update_post_meta($we_ID, '_sale_price_dates_to', $_post_e['_sale_price_dates_to']);
	update_post_meta($we_ID, '_manage_stock', $_post_e['_manage_stock']);
	update_post_meta($we_ID, '_backorders', $_post_e['_backorders']);
	update_post_meta($we_ID, '_upsell_ids', $_post_e['upsell_ids']);
	update_post_meta($we_ID, '_crosssell_ids', $_post_e['crosssell_ids']);
	update_post_meta($we_ID, '_stock', $_post_e['_stock']);
	update_post_meta($we_ID, '_product_image_gallery', $_post_e['product_image_gallery']); //the comma separated attachment id's of the product images
	//variation
	update_post_meta($we_ID, '_min_variation_price', get_post_meta($post_id,'_min_variation_price', true ));
	update_post_meta($we_ID, '_max_variation_price', get_post_meta($post_id,'_max_variation_price', true ));
	update_post_meta($we_ID, '_min_price_variation_id', get_post_meta($post_id,'_min_price_variation_id', true ));
	update_post_meta($we_ID, '_max_price_variation_id', get_post_meta($post_id,'_max_price_variation_id', true ));
	update_post_meta($we_ID, '_min_variation_regular_price', get_post_meta($post_id,'_min_variation_regular_price', true ));
	update_post_meta($we_ID, '_max_variation_regular_price', get_post_meta($post_id,'_max_variation_regular_price', true ));
	update_post_meta($we_ID, '_min_regular_price_variation_id', get_post_meta($post_id,'_min_regular_price_variation_id', true ));
	update_post_meta($we_ID, '_max_regular_price_variation_id', get_post_meta($post_id,'_max_regular_price_variation_id', true ));
	update_post_meta($we_ID, '_min_variation_sale_price', get_post_meta($post_id,'_min_variation_sale_price', true ));
	update_post_meta($we_ID, '_max_variation_sale_price', get_post_meta($post_id,'_max_variation_sale_price', true ));
	update_post_meta($we_ID, '_min_sale_price_variation_id', get_post_meta($post_id,'_min_sale_price_variation_id', true ));
	update_post_meta($we_ID, '_max_sale_price_variation_id', get_post_meta($post_id,'_max_sale_price_variation_id', true ));
	
	//support min max quantity addon
	if(isset($_post_e['minimum_allowed_quantity']) && $_post_e['minimum_allowed_quantity']!=''){
		update_post_meta($we_ID, 'minimum_allowed_quantity', $_post_e['minimum_allowed_quantity']);
	}
	if(isset($_post_e['maximum_allowed_quantity']) && $_post_e['maximum_allowed_quantity']!=''){
		update_post_meta($we_ID, 'maximum_allowed_quantity', $_post_e['maximum_allowed_quantity']);
	}
	if(isset($_post_e['group_of_quantity']) && $_post_e['group_of_quantity']!=''){
		update_post_meta($we_ID, 'group_of_quantity', $_post_e['group_of_quantity']);
	}
	if(isset($_post_e['minmax_do_not_count']) && $_post_e['minmax_do_not_count']!=''){
		update_post_meta($we_ID, 'minmax_do_not_count', $_post_e['minmax_do_not_count']);
	}
	if(isset($_post_e['minmax_cart_exclude']) && $_post_e['minmax_cart_exclude']!=''){
		update_post_meta($we_ID, 'minmax_cart_exclude', $_post_e['minmax_cart_exclude']);
	}
	if(isset($_post_e['minmax_category_group_of_exclude']) && $_post_e['minmax_category_group_of_exclude']!=''){
		update_post_meta($we_ID, 'minmax_category_group_of_exclude', $_post_e['minmax_category_group_of_exclude']);
	}
	save_tmot_meta( $we_ID, $_post_e );
	// support gravity form
	if ( isset( $_post_e['gravityform-id'] ) && ! empty( $_post_e['gravityform-id'] ) ) {
		$gravity_form_data = array(
			'id'                              => $_post_e['gravityform-id'],
			'bulk_id'                         => isset( $_post_e['gravityform-bulk-id'] ) ? $_post_e['gravityform-bulk-id'] : 0,
			'display_title'                   => isset( $_post_e['gravityform-display_title'] ) ? true : false,
			'display_description'             => isset( $_post_e['gravityform-display_description'] ) ? true : false,
			'disable_woocommerce_price'       => isset( $_post_e['gravityform-disable_woocommerce_price'] ) ? 'yes' : 'no',
			'price_before'                    => $_post_e['gravityform-price-before'],
			'price_after'                     => $_post_e['gravityform-price-after'],
			'disable_calculations'            => isset( $_post_e['gravityform-disable_calculations'] ) ? 'yes' : 'no',
			'disable_label_subtotal'          => isset( $_post_e['gravityform-disable_label_subtotal'] ) ? 'yes' : 'no',
			'disable_label_options'           => isset( $_post_e['gravityform-disable_label_options'] ) ? 'yes' : 'no',
			'disable_label_total'             => isset( $_post_e['gravityform-disable_label_total'] ) ? 'yes' : 'no',
			'disable_anchor'                  => isset( $_post_e['gravityform-disable_anchor'] ) ? 'yes' : 'no',
			'label_subtotal'                  => $_post_e['gravityform-label_subtotal'],
			'label_options'                   => $_post_e['gravityform-label_options'],
			'label_total'                     => $_post_e['gravityform-label_total'],
			'use_ajax'                        => isset( $_post_e['gravityform_use_ajax'] ) ? $_post_e['gravityform_use_ajax'] : 'no',
			'enable_cart_edit'                => isset( $_post_e['gravityform-enable_cart_edit'] ) ? $_post_e['gravityform-enable_cart_edit'] : 'no',
			'enable_cart_edit_remove'         => isset( $_post_e['gravityform-enable_cart_edit_remove'] ) ? $_post_e['gravityform-enable_cart_edit_remove'] : 'yes',
			'keep_cart_entries'               => isset( $_post_e['gravityform-keep_cart_entries'] ) ? 'yes' : 'no',
			'send_notifications'              => isset( $_post_e['gravityform-send_notifications'] ) ? $_post_e['gravityform-send_notifications'] : 'no',
			'enable_cart_quantity_management' => isset( $_post_e['gravityform-enable_cart_quantity_management'] ) ? $_post_e['gravityform-enable_cart_quantity_management'] : 'no',
			'cart_quantity_field'             => isset( $_post_e['gravityform-cart_quantity_field'] ) ? $_post_e['gravityform-cart_quantity_field'] : '',
			'update_payment_details'          => isset( $_post_e['gravityform-update_payment_details'] ) ? 'yes' : 'no',
			'display_totals_location'         => isset( $_post_e['gravityform-display_totals_location'] ) ? $_post_e['gravityform-display_totals_location'] : 'after',
			'structured_data_override'        => isset( $_post_e['gravityform-structured_data_override'] ) ? $_post_e['gravityform-structured_data_override'] : 'no',
			'structured_data_low_price'       => isset( $_post_e['gravityform-structured_data_low_price'] ) ? $_post_e['gravityform-structured_data_low_price'] : '',
			'structured_data_high_price'      => isset( $_post_e['gravityform-structured_data_high_price'] ) ? $_post_e['gravityform-structured_data_high_price'] : '',
			'structured_data_override_type'   => isset( $_post_e['gravityform-structured_data_override_type'] ) ? $_post_e['gravityform-structured_data_override_type'] : 'append',
		);
		update_post_meta($we_ID,'_gravity_form_data', $gravity_form_data );
	}
	do_action('we_save_custom_meta_recurr',$we_ID,$post_id,$_post_e,$std=false);
	
	// Assign sizes and colors to the main product
	if(isset($_post_e['product-type']) && $_post_e['product-type']=='variable'){
		if ($children_products = get_children( 'post_parent=' . $post_id . '&post_type=product_variation' )) {
			foreach ( $children_products as $child ) {
				we_duplicate_product( we_get_product_to_duplicate( $child->ID ), $we_ID, $child->post_status );
			}
		}
	}
	we_duplicate_post_taxonomies($post_id, $we_ID, 'product' );	
	//remove the product categories
//	wp_set_object_terms($we_ID, '', 'product_cat', true);
//	//array list of all the categories this product belongs to
//	$product_categories = $_post_e['tax_input']['product_cat'];
//	//add product categories to the product
//	foreach($product_categories as $product_category) {
//		wp_set_object_terms($we_ID, intval($product_category), 'product_cat', true);
//	}
//	//remove the product tags
//	wp_set_object_terms($we_ID, '', 'product_tag', true);
//	//array list of all the categories this product belongs to
//	$product_tags = $_post_e['tax_input']['product_tag'];
//	//add product categories to the product
//	foreach($product_tags as $product_tag) {
//		$term_object = term_exists($product_tag, 'product_tag');
//		if($term_object == NULL) {
//			//create the category
//			$term_object = wp_insert_term($product_category, 'product_cat', array(
//				'parent' => 0 //parent term id if it should be a sub-category
//			));
//		}
//		 
//		wp_set_object_terms($we_ID, intval($term_object['term_id']), 'product_tag', true);
//		 
//		unset($term_object);
//	}
//	 
//	/*
//	* update the product type.
//	*
//	* the product type can be eiher simple, grouped, external or variable.
//	*/
//	$term_object = term_exists($_post_e['product-type'], 'product_type');
//	if($term_object == NULL) {
//	$term_object = wp_insert_term($_post_e['product-type'], 'product_type');
//	}
//	wp_set_object_terms($we_ID, intval($term_object['term_id']), 'product_type', true);
//	unset($term_object);

}
//update recurren event
function we_update_recurren($_post_e,$we_ID,$post_id,$stdate){
	
	$arr = array(
		'ID'           				=> $we_ID,
		'post_author'               => $_post_e['post_author'],
		'post_content'              => $_post_e['post_content'],
		'post_title'                => $_post_e['post_title'],
		'post_excerpt'              => $_post_e['post_excerpt'],
		'post_status'               => $_post_e['post_status'],
		'comment_status'            => $_post_e['comment_status'],
		'ping_status'               => $_post_e['ping_status'],
		'post_password'             => $_post_e['post_password'],
		'post_parent'               => $_post_e['post_parent'],
		'menu_order'                => $_post_e['menu_order'],
		'post_mime_type'            => $_post_e['post_mime_type']
	);
	if(isset($stdate)){
		$arr['post_title'] = apply_filters( 'we_change_title_recurring', $arr['post_title'], $stdate );
	}
	wp_update_post( $arr );
	
	if(isset($_post_e['_downloadable'])){
		update_post_meta($we_ID, '_downloadable', $_post_e['_downloadable']);
	}
	if(isset($_post_e['_virtual']) && $_post_e['_virtual']=='on' ){
		update_post_meta($we_ID, '_virtual', 'yes');
	}
	isset($_post_e['we_subtitle']) ? update_post_meta($we_ID, 'we_subtitle', $_post_e['we_subtitle']) :'';
	update_post_meta($we_ID, '_visibility', $_post_e['_visibility']);
	update_post_meta($we_ID, '_stock_status', $_post_e['_stock_status']);
	update_post_meta( $we_ID, '_visibility', 'visible' );
    //update_post_meta( $we_ID, '_stock_status', 'instock');
	update_post_meta($we_ID, '_regular_price', $_post_e['_regular_price']);
	update_post_meta($we_ID, '_sale_price', $_post_e['_sale_price']);
	update_post_meta($we_ID, '_sold_individually', $_post_e['_sold_individually']);
	//deposit plugin support
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	if (is_plugin_active( 'woocommerce-deposits/woocommmerce-deposits.php' ) ) {
		if(isset($_post_e['_wc_deposits_enable_deposit'])){
			$enable_deposit = isset($_post_e['_wc_deposits_enable_deposit']) ? 'yes' : 'no';
			$force_deposit = isset($_post_e['_wc_deposits_force_deposit']) ? 'yes' : 'no';
			$enable_persons = isset($_post_e['_wc_deposits_enable_per_person']) ? 'yes' : 'no';
			$amount_type = (isset($_post_e['_wc_deposits_amount_type']) &&
								   ($_post_e['_wc_deposits_amount_type'] === 'fixed' ||
									$_post_e['_wc_deposits_amount_type'] === 'percent')) ?
									  $_post_e['_wc_deposits_amount_type'] : 'fixed';
			$amount = isset($_post_e['_wc_deposits_deposit_amount']) &&
					  is_numeric($_post_e['_wc_deposits_deposit_amount']) ? floatval($_post_e['_wc_deposits_deposit_amount']) : 0.0;
		
			if ($amount <= 0 || ($amount_type === 'percent' && $amount >= 100)) {
			  $enable_deposit = 'no';
			  $amount = '';
			}
		
			update_post_meta($we_ID, '_wc_deposits_enable_deposit', $enable_deposit);
			update_post_meta($we_ID, '_wc_deposits_force_deposit', $force_deposit);
			update_post_meta($we_ID, '_wc_deposits_amount_type', $amount_type);
			update_post_meta($we_ID, '_wc_deposits_deposit_amount', $amount);
		}else if(isset($_post_e['_wc_deposit_enabled'])){
			$enable_deposit = isset($_post_e['_wc_deposit_enabled']) ? $_post_e['_wc_deposit_enabled'] : '';
			$deposit_type = isset($_post_e['_wc_deposit_type']) ? $_post_e['_wc_deposit_type'] : '';
			$deposit_amount = isset($_post_e['_wc_deposit_amount']) ? $_post_e['_wc_deposit_amount'] : 'float';
			$payment_plans = isset($_post_e['_wc_deposit_payment_plans']) ? $_post_e['_wc_deposit_payment_plans'] : 'int';
			$selected_type = isset($_post_e['_wc_deposit_selected_type']) ? $_post_e['_wc_deposit_selected_type'] : '';
			$booking_persons = isset($_post_e['_wc_deposit_multiple_cost_by_booking_persons']) ? $_post_e['_wc_deposit_multiple_cost_by_booking_persons'] : 'issetyesno';
			
			update_post_meta($we_ID, '_wc_deposit_enabled', $enable_deposit);
			update_post_meta($we_ID, '_wc_deposit_type', $deposit_type);
			update_post_meta($we_ID, '_wc_deposit_amount', $deposit_amount);
			update_post_meta($we_ID, '_wc_deposit_payment_plans', $payment_plans);
			update_post_meta($we_ID, '_wc_deposit_selected_type', $selected_type);
			update_post_meta($we_ID, '_wc_deposit_multiple_cost_by_booking_persons', $booking_persons);
		}
	}
	//end
	if($_post_e['_sale_price']==''){
		update_post_meta( $we_ID, '_price', isset($_post_e['_regular_price']) ? $_post_e['_regular_price']: '' );
	}else{
		update_post_meta( $we_ID, '_price', isset($_post_e['_sale_price']) ? $_post_e['_sale_price']: '' );
	}
	update_post_meta($we_ID, '_purchase_note', $_post_e['_purchase_note']);
	update_post_meta($we_ID, '_featured', $_post_e['current_featured']);
	update_post_meta($we_ID, '_weight', $_post_e['_weight']);
	update_post_meta($we_ID, '_length', $_post_e['_length']);
	update_post_meta($we_ID, '_width', $_post_e['_width']);
	update_post_meta($we_ID, '_height', $_post_e['_height']);
	update_post_meta($we_ID, '_sku', $_post_e['_sku']);
	update_post_meta($we_ID, '_product_attributes', get_post_meta($post_id,'_product_attributes', true ));
	update_post_meta($we_ID, '_sale_price_dates_from', $_post_e['_sale_price_dates_from']);
	update_post_meta($we_ID, '_sale_price_dates_to', $_post_e['_sale_price_dates_to']);
	update_post_meta($we_ID, '_manage_stock', $_post_e['_manage_stock']);
	update_post_meta($we_ID, '_backorders', $_post_e['_backorders']);
	update_post_meta($we_ID, '_upsell_ids', $_post_e['upsell_ids']);
	update_post_meta($we_ID, '_crosssell_ids', $_post_e['crosssell_ids']);
	if(get_option('we_enable_recstock') == 'yes'){
		update_post_meta($we_ID, '_stock', $_post_e['_stock']);
	}
	update_post_meta($we_ID, '_product_image_gallery', $_post_e['product_image_gallery']); //the comma separated attachment id's of the product images
	//variation
	update_post_meta($we_ID, '_min_variation_price', get_post_meta($post_id,'_min_variation_price', true ));
	update_post_meta($we_ID, '_max_variation_price', get_post_meta($post_id,'_max_variation_price', true ));
	update_post_meta($we_ID, '_min_price_variation_id', get_post_meta($post_id,'_min_price_variation_id', true ));
	update_post_meta($we_ID, '_max_price_variation_id', get_post_meta($post_id,'_max_price_variation_id', true ));
	update_post_meta($we_ID, '_min_variation_regular_price', get_post_meta($post_id,'_min_variation_regular_price', true ));
	update_post_meta($we_ID, '_max_variation_regular_price', get_post_meta($post_id,'_max_variation_regular_price', true ));
	update_post_meta($we_ID, '_min_regular_price_variation_id', get_post_meta($post_id,'_min_regular_price_variation_id', true ));
	update_post_meta($we_ID, '_max_regular_price_variation_id', get_post_meta($post_id,'_max_regular_price_variation_id', true ));
	update_post_meta($we_ID, '_min_variation_sale_price', get_post_meta($post_id,'_min_variation_sale_price', true ));
	update_post_meta($we_ID, '_max_variation_sale_price', get_post_meta($post_id,'_max_variation_sale_price', true ));
	update_post_meta($we_ID, '_min_sale_price_variation_id', get_post_meta($post_id,'_min_sale_price_variation_id', true ));
	update_post_meta($we_ID, '_max_sale_price_variation_id', get_post_meta($post_id,'_max_sale_price_variation_id', true ));
	do_action('we_save_custom_meta_recurr',$we_ID,$post_id,$_post_e,$stdate);
	// support product addon
	if(function_exists('tc_get_post_meta')){
		$tm_meta= tc_get_post_meta( $post_id , 'tm_meta' , true );
				
		if ( !empty($tm_meta) 
			&& is_array($tm_meta) 
			&& isset($tm_meta['tmfbuilder']) 
			&& is_array($tm_meta['tmfbuilder'])
			){
			tc_update_post_meta( $we_ID, 'tm_meta', TM_EPO_HELPER()->recreate_element_ids($tm_meta) );
		}
	}
	$w_addon = get_post_meta($post_id,'_product_addons', true );
	if($w_addon!=''){
		update_post_meta($we_ID, '_product_addons', $w_addon);
		update_post_meta($we_ID, '_product_addons_exclude_global', get_post_meta($post_id,'_product_addons_exclude_global', true ));
	}
	// Support gravity
	$grav_addon = get_post_meta($post_id,'_gravity_form_data', true );
	if($grav_addon!=''){
		update_post_meta($we_ID, '_gravity_form_data', $grav_addon);
	}
	//End support product addon

	
	if(isset($_post_e['product-type']) && $_post_e['product-type']=='variable'){
		// delete old variation
		$child_products = get_children( 'post_parent=' . $we_ID . '&post_type=product_variation' );
		if (is_array($child_products) && count($child_products) > 0) {
			// Delete all the Children of the Parent Page
			foreach($child_products as $child){
				wp_delete_post($child->ID, true);
			}
		}
		// add new instead of update
		if ($children_products = get_children( 'post_parent=' . $post_id . '&post_type=product_variation' )) {
			foreach ( $children_products as $child ) {
				we_duplicate_product( we_get_product_to_duplicate( $child->ID ), $we_ID, $child->post_status );
			}
		}
	}

	//remove the product categories
	wp_set_object_terms($we_ID, null, 'product_cat');
	//array list of all the categories this product belongs to
	$product_categories = $_post_e['tax_input']['product_cat'];
	//add product categories to the product
	foreach($product_categories as $product_category) {
		wp_set_object_terms($we_ID, intval($product_category), 'product_cat', true);
	}
	
	$df_cat = get_option('default_product_cat');
	if(!in_array($df_cat, $product_categories)){
		$term = get_term( $df_cat, 'product_cat' );
		$slug = $term->slug;
		wp_remove_object_terms( $we_ID, $slug, 'product_cat' );
	}
	//remove the product tags
	wp_set_object_terms($we_ID, null, 'product_tag');
	//array list of all the categories this product belongs to
	$product_tags = $_post_e['tax_input']['product_tag'];
	$product_tags = explode(",",$product_tags);
	//add product categories to the product
	if(!empty($product_tags)){
		foreach($product_tags as $product_tag) {
			$term_object = term_exists($product_tag, 'product_tag');
			if($term_object !== NULL) {
				wp_set_object_terms($we_ID, intval($term_object['term_id']), 'product_tag', true);
			}
			unset($term_object);
		}
	}
	 
	
	//	* update the product type.
	//	*
	//	* the product type can be eiher simple, grouped, external or variable.
	//	
	$term_object = term_exists($_post_e['product-type'], 'product_type');
	if($term_object == NULL) {
	$term_object = wp_insert_term($_post_e['product-type'], 'product_type');
	}
	if(isset($term_object['term_id'])){
		wp_set_object_terms($we_ID, null, 'product_type');
		wp_set_object_terms($we_ID, intval($term_object['term_id']), 'product_type', true);
	}
	unset($term_object);
	//wp_set_object_terms($we_ID, null, 'pa_fees');
	we_update_product_taxonomies( $post_id, $we_ID, 'product' );
}
// update taxonomy
function we_update_product_taxonomies( $id, $new_id, $post_type ) {
	$exclude    = array_filter( apply_filters( 'woocommerce_duplicate_product_exclude_taxonomies', array() ) );
	$taxonomies = array_diff( get_object_taxonomies( $post_type ), $exclude );
	$key = array_search('product_cat', $taxonomies);
	if (false !== $key) {
	    unset($taxonomies[$key]);
	}
	$key = array_search('product_tag', $taxonomies);
	if (false !== $key) {
	    unset($taxonomies[$key]);
	}
	$key = array_search('product_type', $taxonomies);
	if (false !== $key) {
	    unset($taxonomies[$key]);
	}
	foreach ( $taxonomies as $taxonomy ) {
		$post_terms       = wp_get_object_terms( $id, $taxonomy );
		$post_terms_count = sizeof( $post_terms );
		wp_set_object_terms($new_id, null, $taxonomy);
		for ( $i = 0; $i < $post_terms_count; $i++ ) {
			wp_set_object_terms( $new_id, $post_terms[ $i ]->slug, $taxonomy, true );
		}
	}
}
//edit link recurrence
add_filter( 'get_edit_post_link', 'we_edit_post_link', 10, 3 );
function we_edit_post_link( $url, $post_id, $context) {
    $exwe_recurr = get_post_meta($post_id,'recurren_ext', true );
	if($exwe_recurr!=''){
		$exwe_recurr  = explode("_",$exwe_recurr);
		if(isset($exwe_recurr[1]) && $exwe_recurr[1]!=''){
			$hasposts = get_post($exwe_recurr[1]);
			if(isset($hasposts->post_type) && ($hasposts->post_type == 'product')){
				$url = add_query_arg( array('post'=>$exwe_recurr[1]),  $url);
			}
		}
	}
    return $url;
}
//
add_filter('post_row_actions','we_change_edit_product_rows',10, 2 );
function we_change_edit_product_rows($actions,$post) {
	$exwe_recurr = get_post_meta($post->ID,'recurren_ext', true );
	$exwe_recurr  = explode("_",$exwe_recurr);
	if(isset($exwe_recurr[1]) && $exwe_recurr[1]!='' && ( FALSE !== get_post_status( $exwe_recurr[1] )) ){
		$can_edit_post = current_user_can( 'edit_post', $post->ID );
		if ( $can_edit_post ) {
		  $actions['edit'] = '<a href="' . get_edit_post_link( $post->ID, true ) . '" title="' . esc_attr( esc_html__( 'Edit all','exthemes' ) ) . '">' . esc_html__( 'Edit all','exthemes' ) . '</a>';
		  if($exwe_recurr[1] != $post->ID){
			  $actions['inline hide-if-no-js'] = '<a href="' . add_query_arg( array('post'=>$post->ID), get_edit_post_link( $post->ID, true )) . '" class="editsingle" title="' . esc_attr( esc_html__( 'Edit single','exthemes' ) ) . '">' . esc_html__( 'Edit single','exthemes' ) . '</a>';
		  }
		  $trash_link = str_replace('action=edit', 'action=trash-all', get_edit_post_link( $post->ID, true ));
		  $actions['trash trash-all'] = '<a href="' . add_query_arg( array('post_type'=> 'product'),$trash_link ) . '" class="editsingle" title="' . esc_attr( esc_html__( 'Trash all','exthemes' ) ) . '">' . esc_html__( 'Trash all','exthemes' ) . '</a>';
		}
	}
	return $actions;
}
add_action('init','we_trash_all_recurring');
if(!function_exists('we_trash_all_recurring')){
	function we_trash_all_recurring() {
		if(is_admin() && isset($_GET['action']) && $_GET['action'] =='trash-all' && isset($_GET['post_type']) && $_GET['post_type'] =='product' && isset($_GET['post']) && $_GET['post'] !=''){
			if ( current_user_can( 'edit_post', $_GET['post'] ) ) {
				$exwe_recurr = get_post_meta($_GET['post'],'recurren_ext', true );
				if($exwe_recurr!=''){
					$args = array(
						'post_type' => 'product',
						'post_status' => 'publish',
						'posts_per_page' => -1,
						'order' => 'ASC',
						'meta_key' => 'recurren_ext',
						'orderby' => 'meta_value_num',
						'meta_query' => array(
							array(
								'key'     => 'recurren_ext',
								'value'   => $exwe_recurr,
								'compare' => '=',
							),
						),
					);
					$exwe_posts = get_posts( $args );
					foreach($exwe_posts as $item){
						wp_trash_post($item->ID);
					}
					wp_redirect( admin_url('edit.php?post_type=product') );
					exit;
				}
			}
			return;
		}
	}
}
//bubble
add_action( 'admin_menu', 'we_pending_posts_bubble', 999 );
function we_pending_posts_bubble() 
{
    global $menu;

    // Get all post types and remove Attachments from the list
    // Add '_builtin' => false to exclude Posts and Pages
    $args = array( 'public' => true ); 
    $post_types = get_post_types( $args );

    foreach( $post_types as $pt ){
		if( $pt == 'product'){
			// Count posts
			$cpt_count = wp_count_posts( $pt );
	
			if ( $cpt_count->pending ) 
			{
				// Menu link suffix, Post is different from the rest
				$suffix = ( 'post' == $pt ) ? '' : "?post_type=$pt";
	
				// Locate the key of 
				$key = we_recursive_array_search_php( "edit.php$suffix", $menu );
	
				// Not found, just in case 
				if( !$key )
					return;
	
				// Modify menu item
				$menu[$key][0] .= sprintf(
					'<span class="update-plugins count-%1$s" style="background-color:white;color:red; margin-left:5px;"><span class="plugin-count">%1$s</span></span>',
					$cpt_count->pending 
				);
			}
		}
    }
}
function we_recursive_array_search_php( $needle, $haystack ) 
{
    foreach( $haystack as $key => $value ) 
    {
        $current_key = $key;
        if( 
            $needle === $value 
            OR ( 
                is_array( $value )
                && we_recursive_array_search_php( $needle, $value ) !== false 
            )
        ) 
        {
            return $current_key;
        }
    }
    return false;
}
// edit column admin 
add_filter( 'manage_product_posts_columns', 'we_edit_columns',99 );
function we_edit_columns( $columns ) {
	unset($columns['date']);
	unset($columns['sku']);
	unset($columns['product_type']);
	$columns['we_startdate'] = esc_html__( 'Start Date' , 'exthemes' );
	$columns['we_enddate'] = esc_html__( 'End Date' , 'exthemes' );
			
	return $columns;
}
add_action( 'manage_product_posts_custom_column', 'we_custom_columns',12);
function we_custom_columns( $column ) {
	global $post;
	switch ( $column ) {
		case 'we_startdate':
			$we_startdate = get_post_meta($post->ID, 'we_startdate', true);
			if($we_startdate!=''){
				echo date_i18n( get_option('date_format'), $we_startdate).' '.date_i18n(get_option('time_format'), $we_startdate);
			}
			break;
		case 'we_enddate':
			$we_enddate = get_post_meta($post->ID, 'we_enddate', true);
			if($we_enddate!=''){
				echo date_i18n( get_option('date_format'), $we_enddate).' '.date_i18n(get_option('time_format'), $we_enddate);
			}
			break;		
	}
}
// sortable by date
if(!function_exists('we_product_sortable_columns')){
		
	add_filter( 'manage_edit-product_sortable_columns', 'we_product_sortable_columns',99 );
	
	function we_product_sortable_columns( $columns ) {
		$custom = array(
			'price'    => 'price',
			'sku'      => 'sku',
			'name'     => 'title',
			'we_startdate'     => 'we_startdate',
			'we_enddate'     => 'we_enddate',
		);
		return wp_parse_args( $custom, $columns );
	}
	
}

if(!function_exists('we_sortable_query_hook')){
	
	function we_sortable_query_hook( $query ) {
		if ( is_admin() && $query->is_main_query() && is_post_type_archive( 'product' )) {
			if(isset($_GET['orderby']) && $_GET['orderby'] =='we_startdate'){
				$order = isset($_GET['order']) ? $_GET['order'] : '';
				$query->set('orderby', 'meta_value_num');
				$query->set('order', $order);
				$query->set('meta_key', 'we_startdate');
				return;
			}elseif(isset($_GET['orderby']) && $_GET['orderby'] =='we_enddate'){
				$order = isset($_GET['order']) ? $_GET['order'] : '';
				$query->set('orderby', 'meta_value_num');
				$query->set('order', $order);
				$query->set('meta_key', 'we_enddate');
				return;
			}
		}
	}
	
	add_action( 'pre_get_posts', 'we_sortable_query_hook' );
	
}
// default venue
add_action('wp_ajax_we_add_venue', 'we_add_venue_func' );
if(!function_exists('we_add_venue_func')){
	function we_add_venue_func(){
		$value = $_POST['value'];
		$we_adress = $we_phone = $we_email = $we_website ='';
		if(isset($value) && $value != '')
		{
			$we_adress = get_post_meta( $value, 'we_adress', true ) ;
			$we_latitude_longitude = get_post_meta( $value, 'we_latitude_longitude', true ) ;
			$we_phone = get_post_meta( $value, 'we_phone', true ) ;
			$we_email = get_post_meta( $value, 'we_email', true ) ;
			$we_website = get_post_meta( $value, 'we_website', true ) ;
		}
		$output =  array('we_adress'=>$we_adress,'we_latitude_longitude'=> $we_latitude_longitude,'we_phone'=> $we_phone,'we_email'=> $we_email,'we_website'=> $we_website);
		echo str_replace('\/', '/', json_encode($output));
		die;
	}
}
if(!function_exists('we_add_new_venue')){
	add_action( 'save_post', 'we_add_new_venue' );
	function we_add_new_venue(){
		$value = isset($_POST['we_default_venue']) ? $_POST['we_default_venue'] :'';
		if(isset ($value['exc_mb-field-0']) && $value['exc_mb-field-0'] == '')
		{
			$venue_check = get_page_by_title($_POST['we_adress']['exc_mb-field-0'],'OBJECT','we_venue');
			if($venue_check->ID){
				return;
			}
			$attr = array(
				'post_title'    => wp_strip_all_tags( $_POST['we_adress']['exc_mb-field-0'] ),
				'post_content'  => '',
				'post_status'   => 'publish',
				'post_author'   => get_current_user_id(),
				'post_type'      => 'we_venue',
			);
			remove_action( 'save_post', 'we_add_new_venue');
			if($new_ID = wp_insert_post( $attr, false )){
				// update meta
				update_post_meta( $new_ID, 'we_adress', $_POST['we_adress']['exc_mb-field-0']);
				update_post_meta( $new_ID, 'we_latitude_longitude', $_POST['we_latitude_longitude']['exc_mb-field-0']);
				update_post_meta( $new_ID, 'we_phone', $_POST['we_phone']['exc_mb-field-0']);
				update_post_meta( $new_ID, 'we_email', $_POST['we_email']['exc_mb-field-0']);
				update_post_meta( $new_ID, 'we_website', $_POST['we_website']['exc_mb-field-0']);
				$_POST['we_default_venue']['exc_mb-field-0'] = $new_ID;
			}
			add_action( 'save_post', 'we_add_new_venue' );
		}
	}
}

if(!function_exists('we_in_array_r')){
	function we_in_array_r($needle, $haystack, $strict = false) {
		foreach ($haystack as $item) {
			if (($strict ? $item === $needle : $item == $needle) || (is_array($item) && we_in_array_r($needle, $item, $strict))) {
				return true;
			}
		}
	
		return false;
	}
}

add_action( 'wp_ajax_we_remove_event_from_recurr', 'we_remove_event_from_recurr' );
add_action( 'wp_ajax_nopriv_we_remove_event_from_recurr', 'we_remove_event_from_recurr' );
function we_remove_event_from_recurr(){
	$value = $_POST['date'];
	$id = $_POST['id'];
	$re_list = get_post_meta($id,'recurren_list', true );
	if(!empty($re_list)){
		$args = array(
			'post_type' => 'product',
			'posts_per_page' => 1,
			'post_status' => 'publish',
			'post__in' =>  $re_list,
		);
		$args ['meta_query'] = array(
			'relation' => 'AND',
			 array(
				'key'     => 'we_startdate',
				'value'   => $value['we_ct_stdate'],
				'compare' => '=',
			 ),
			 array(
				'key'     => 'we_enddate',
				'value'   => $value['we_ct_edate_end'],
				'compare' => '=',
			),
		);
		$this_posts = get_posts( $args );
		foreach ( $this_posts as $post ) {
			wp_delete_post($post->ID);
			unset($re_list[array_search($post->ID, $re_list)]);
			update_post_meta( $id, 'recurren_list', $re_list);
			echo 1;
			break;
		}
	}else{
		echo 0;
	}
	die;
}
if(!function_exists('we_custom_fix_cf_css')){
	function we_custom_fix_cf_css() {
		echo '<style>.edit_form_line input.cat.textfield[name=cat]{display: inline-block !important;}</style>';
	}
	add_action( 'admin_head', 'we_custom_admin_css' );
}
function wooevent_wpml_duplicate_product( $new_id, $product_id, $stdate, $enddate ){
	$duplicated_products = array();
	//duplicate original first
	if(!class_exists('WCML_WC_Admin_Duplicate_Product')){ return;}
	global $sitepress, $woocommerce_wpml,$wpdb;
	$wpml_dupli = new WCML_WC_Admin_Duplicate_Product($woocommerce_wpml,$sitepress,$wpdb);
	$trid = $sitepress->get_element_trid( $product_id, 'post_product' );
	$orig_id = $sitepress->get_original_element_id_by_trid( $trid );
	$orig_lang = $woocommerce_wpml->products->get_original_product_language($product_id );
	$new_trid = $sitepress->get_element_trid( $new_id, 'post_product' );
    $new_orig_id = $new_id;
	$translations = $sitepress->get_element_translations( $trid, 'post_product' );
	$duplicated_products[ 'translations' ] = array();
	if( $translations ){
		foreach( $translations as $translation ){print_r(($translation));
			$exts = 0;
			$tr_newid = $sitepress->get_element_trid($new_id);
			$translation_nid = $sitepress->get_element_translations($tr_newid);
			if( !$translation->original && $translation->element_id != $product_id ){
				foreach( $translation_nid as $translation_n ){
					if($translation->language_code == $translation_n->language_code){
						$wpdb->update(
							$wpdb->posts,
							array(
								'post_title'     => get_the_title($translation->element_id),
								'post_content'   => get_the_content($translation->element_id),
							),
							array( 'ID' => $translation_n->element_id )
						);
						$exts = 1;
						break;
					}
				}
				if($exts != 1){
					$post_to_duplicate = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM {$wpdb->posts} WHERE ID=%d", $translation->element_id ) );
					//echo '<pre>';print_r($post_to_duplicate);exit;
					if( ! empty( $post_to_duplicate ) ) {
						$new_id_dl = $wpml_dupli->wc_duplicate_product( $post_to_duplicate );
						$new_id_obj = get_post( $new_id );
						$new_slug = wp_unique_post_slug( sanitize_title( $post_to_duplicate->post_title.$new_id_dl ), $new_id_dl, $post_to_duplicate->post_status, $post_to_duplicate->post_type, $new_id_obj->post_parent );
	
						$wpdb->update(
							$wpdb->posts,
							array(
								'post_name'     => $new_slug,
								'post_title'     => $post_to_duplicate->post_title,
								'post_status'   => 'publish'
							),
							array( 'ID' => $new_id_dl )
						);
						update_post_meta( $new_id_dl, 'we_startdate', $stdate);
						update_post_meta( $new_id_dl, 'we_enddate', $enddate);
	
						//do_action( 'wcml_after_duplicate_product' , $new_id, $post_to_duplicate );
						$sitepress->set_element_language_details( $new_id_dl, 'post_product', $new_trid, $translation->language_code );
						if( get_post_meta( $translation->element_id, '_icl_lang_duplicate_of' ) ){
							update_post_meta( $new_id_dl, '_icl_lang_duplicate_of', $new_orig_id );
						}
						$duplicated_products[ 'translations' ][] = $new_id_dl;
					}
				}
			}else{
				
				update_post_meta( $translation->element_id, 'we_startdate', get_post_meta($product_id,'we_startdate', true ));
				update_post_meta( $translation->element_id, 'we_enddate', get_post_meta($product_id,'we_enddate', true ));
			}
		}
	}
	$duplicated_products[ 'original' ] = $new_orig_id;

	return $duplicated_products;
}
/***** add filter order event to admin list *****/
if(!function_exists('we_add_fitler_admin_events')){
	function we_add_fitler_admin_events( $post_type, $which ) {
		if ( $post_type == 'product' ) {	
			// Display filter HTML
			echo "<select name='orderby' id='orderby' class='postform'>";
			echo '<option value="">' . esc_html__( 'Order by', 'exthemes' ) . '</option>';
			echo '<option value="upcoming" '.(( isset( $_GET['orderby'] ) && ( $_GET['orderby'] == 'upcoming' ) ) ? ' selected="selected"' : '' ).'>'.esc_html__( 'Upcoming Events', 'exthemes' ).'</option>';
			echo '<option value="past" '.(( isset( $_GET['orderby'] ) && ( $_GET['orderby'] == 'past' ) ) ? ' selected="selected"' : '' ).'>'.esc_html__( 'Past Events', 'exthemes' ).'</option>';
			echo '</select>';
			if(get_option('we_delete_passevent')=='yes'){
				echo '<a class="clear-ev" style=" float: right;" href="'.add_query_arg( 'weclear_evpassed', '1', admin_url('edit.php?post_type=product') ).'" data-confirm="Are you sure you want to load this URL?">Clear all Events has passed</a>';
			}
		}
	
	}
	if( isset($_GET['post_type']) && ($_GET['post_type']=='product') ){
		add_action( 'restrict_manage_posts', 'we_add_fitler_admin_events' , 10, 2);
	}
}
add_action( 'pre_get_posts','we_admin_filter_events_query_hook',101 );
if (!function_exists('we_admin_filter_events_query_hook')) {
	function we_admin_filter_events_query_hook($query) {
		if ( is_post_type_archive('product') && is_admin()) {
			if( isset($_GET['orderby']) && ($_GET['orderby']=='upcoming' || $_GET['orderby']=='past' ) ){
				$cure_time =  strtotime("now");
				$gmt_offset = get_option('gmt_offset');
				if($gmt_offset!=''){
					$cure_time = $cure_time + ($gmt_offset*3600);
				}
				$query->set('meta_key', 'we_startdate');
				$query->set('orderby', 'meta_value_num');
				$query->set('meta_value', $cure_time);
				if($_GET['orderby']=='upcoming'){
					$query->set('meta_compare', '>');
					$query->set('order', 'ASC');
					
				}
				if($_GET['orderby']=='past'){
					$query->set('meta_compare', '<');
					$query->set('order', 'DESC');
				}
			}
		}
		return $query;
	}
}
/*--- clear event has passed ---*/
add_action( 'init', 'we_clear_event_has_passed' );
if(!function_exists('we_clear_event_has_passed')){
	function we_clear_event_has_passed() {
		 if( isset( $_GET['weclear_evpassed'] ) && $_GET['weclear_evpassed'] == 1) {
			 if(get_option('we_delete_passevent')!='yes'){
				 echo esc_html__("Error !! You don't have permission to access this url","exthemes");exit;
			 }
			 if ( is_user_logged_in() && current_user_can( 'manage_options' )){
				$cure_time =  strtotime(' -1 day');
				$gmt_offset = get_option('gmt_offset');
				if($gmt_offset!=''){
					$cure_time = $cure_time + ($gmt_offset*3600);
				}
				$args = array('post_type' => 'product', 'numberposts' => -1 );
				$args['meta_key']= 'we_enddate';
				$args['meta_query'] = array(
					'relation' => 'AND',
					array(
						'key'  => 'we_enddate',
						'value' => $cure_time,
						'compare' => '<'
					)
				);
				$my_posts = get_posts( $args );
				if(!empty($my_posts)){
					foreach ( $my_posts as $post ):
						wp_delete_post($post->ID);
					endforeach;
				}
				wp_redirect( admin_url('edit.php?post_type=product') );exit;
				
			 }else{
				 echo esc_html__("Error !! You don't have permission to access this url","exthemes");exit;
			 }
		 }
	}
}
if(!function_exists('save_tmot_meta')){
function save_tmot_meta( $post_id, $_data ) {
	if(!function_exists('tc_get_post_meta')){
		return;
	}
	global $woocommerce, $wpdb;

	$attributes = (array) maybe_unserialize( tc_get_post_meta( $post_id, '_product_attributes', true ) );
	
	if ( isset($_data['product-type']) || isset( $_data['variable_sku'] ) || isset( $_data['_sku'] ) ) {
		$_post_id                   = isset( $_data['tmcp_post_id'] ) ? $_data['tmcp_post_id'] : array();
		$tmcp_regular_price         = isset( $_data['tmcp_regular_price'] ) ? $_data['tmcp_regular_price'] : array();
		$tmcp_regular_price_type    = isset( $_data['tmcp_regular_price_type'] ) ? $_data['tmcp_regular_price_type'] : array();
		$tmcp_enabled               = isset( $_data['tmcp_enabled'] ) ? $_data['tmcp_enabled'] : array();
		$tmcp_required              = isset( $_data['tmcp_required'] ) ? $_data['tmcp_required'] : array();
		$tmcp_hide_price            = isset( $_data['tmcp_hide_price'] ) ? $_data['tmcp_hide_price'] : array();
		$tmcp_limit                 = isset( $_data['tmcp_limit'] ) ? $_data['tmcp_limit'] : array();
		$tmcp_menu_order            = isset( $_data['tmcp_menu_order'] ) ? $_data['tmcp_menu_order'] : array();
		$tmcp_attribute             = isset( $_data['tmcp_attribute'] ) ? $_data['tmcp_attribute'] : array();
		$tmcp_type                  = isset( $_data['tmcp_type'] ) ? $_data['tmcp_type'] : array();
		$tm_meta_cpf                = isset( $_data['tm_meta_cpf'] ) ? $_data['tm_meta_cpf'] : array();

		// update custom product settings
		tc_update_post_meta( $post_id, 'tm_meta_cpf', $tm_meta_cpf );    
		
		if ( isset($_data['tm_meta_serialized'])){
			$tm_metas = $_data['tm_meta_serialized'];
			$tm_metas = stripslashes_deep($tm_metas);
			$tm_metas = rawurldecode($tm_metas);
			$tm_metas = nl2br($tm_metas);
			$tm_metas = json_decode($tm_metas, true);

			if($tm_metas || (is_array($tm_metas))){
				if (!isset($_SESSION)){
					session_start();
				}
				$import=false;
				if (isset($_SESSION['import_csv'])){
					$import=$_SESSION['import_csv'];
				}
				if (!empty($import)){     
					if (!empty($_SESSION['import_override'])){
						unset($tm_metas['tm_meta']['tmfbuilder']);
						$tm_metas=TM_EPO_ADMIN_GLOBAL()->import_array_merge($tm_metas,$import);
						unset($_SESSION['import_override']);
					}else{
						$tm_metas=TM_EPO_ADMIN_GLOBAL()->import_array_merge($tm_metas,$import);    
					}                        
					unset($_SESSION['import_csv']);
				}
				
				$old_data = tc_get_post_meta($post_id, 'tm_meta',true);

				if ( !empty($tm_metas) && is_array($tm_metas) && isset($tm_metas['tm_meta']) && is_array($tm_metas['tm_meta'])){
					$tm_meta=$tm_metas['tm_meta'];
					TM_EPO_ADMIN_GLOBAL()->tm_save_meta($post_id, $tm_meta, $old_data, 'tm_meta');
				}else{
					TM_EPO_ADMIN_GLOBAL()->tm_save_meta($post_id, false, $old_data, 'tm_meta');
				}
			}
		}elseif ( isset($_data['tm_meta_serialized_wpml'])){
			$tm_metas = $_data['tm_meta_serialized_wpml'];
			$tm_metas = stripslashes_deep($tm_metas);
			$tm_metas = rawurldecode($tm_metas);
			$tm_metas = nl2br($tm_metas);
			$tm_metas = json_decode($tm_metas, true);
			if($tm_metas){
				
				$old_data = tc_get_post_meta($post_id, 'tm_meta_wpml',true);

				if ( !empty($tm_metas) && is_array($tm_metas) && isset($tm_metas['tm_meta']) && is_array($tm_metas['tm_meta'])){
					$tm_meta=$tm_metas['tm_meta'];
					TM_EPO_ADMIN_GLOBAL()->tm_save_meta($post_id, $tm_meta, $old_data, 'tm_meta_wpml');
				}else{
					TM_EPO_ADMIN_GLOBAL()->tm_save_meta($post_id, false, $old_data, 'tm_meta_wpml');
				}
			}                
		}

		if (!empty($_post_id )){
			global $wpdb;
			$max_loop = max( array_keys( $_post_id ) );
			for ( $i = 0; $i <= $max_loop; $i ++ ) {

				if ( ! isset( $_post_id[ $i ] ) ){
					continue;
				}

				$tmcp_id = absint( $_post_id[ $i ] );

				// This will always be update post
				if ( $tmcp_id ) {
					// Enabled or disabled
					$post_status = isset( $tmcp_enabled[ $i ] ) ? 'publish' : 'private';

					// Generate a useful post title
					$post_title = sprintf( esc_html__( 'TM Extra Product Option #%s of %s', 'woocommerce-tm-extra-product-options' ), absint( $tmcp_id ), esc_html( get_the_title( $post_id ) ) );

					/*wp_update_post( wp_slash( array(
						'ID'            => $tmcp_id,
						'post_status'   => $post_status,
						'post_title'    => $post_title,
						'menu_order'    => $tmcp_menu_order[ $i ]
						)));*/
					$data = wp_slash( array(
						'post_status'   => $post_status,
						'post_title'    => $post_title,
						'menu_order'    => $tmcp_menu_order[ $i ]
						));
					$data = wp_unslash( $data );
					$where = array( 'ID' => $tmcp_id );
					if ( false === $wpdb->update( $wpdb->posts, $data, $where ) ) {
						if ( $wp_error ) {
							return new WP_Error('db_update_error', esc_html__('Could not update post in the database','exthemes'), $wpdb->last_error);
						} else {
							return 0;
						}
					}
					// Update post meta

					// Price handling
					$clean_prices = array();
					$clean_prices_type = array();
					if ( isset( $tmcp_regular_price[ $i ] ) ) {
						foreach ( $tmcp_regular_price[ $i ] as $key=>$value ) {
							foreach ( $value as $k=>$v ) {
								if ( $v !== '' ) {
									$clean_prices[$key][$k] = wc_format_decimal( $v );
								}
							}
						}
					}
					if ( isset( $tmcp_regular_price_type[ $i ] ) ) {
						foreach ( $tmcp_regular_price_type[ $i ] as $key=>$value ) {
							foreach ( $value as $k=>$v ) {
								$clean_prices_type[$key][$k] = $v;
							}
						}
					}
					
					$regular_price = $clean_prices ;
					$regular_price_type = $clean_prices_type;
					update_post_meta( $tmcp_id, '_regular_price', $regular_price );
					update_post_meta( $tmcp_id, '_regular_price_type', $regular_price_type );

					$post_required      = isset( $tmcp_required[ $i ] ) ? 1 : '';
					$post_hide_price    = isset( $tmcp_hide_price[ $i ] ) ? 1 : '';
					$post_limit         = isset( $tmcp_limit[ $i ] ) ?  $tmcp_limit[ $i ] : '';
					update_post_meta( $tmcp_id, 'tmcp_required', $post_required );
					update_post_meta( $tmcp_id, 'tmcp_hide_price', $post_hide_price );
					update_post_meta( $tmcp_id, 'tmcp_limit', $post_limit );
					update_post_meta( $tmcp_id, 'tmcp_attribute', $tmcp_attribute[ $i ] );
					update_post_meta( $tmcp_id, 'tmcp_attribute_is_taxonomy', $attributes[$tmcp_attribute[ $i ]]['is_taxonomy'] );
					update_post_meta( $tmcp_id, 'tmcp_type', $tmcp_type[ $i ] );

				}
			}
		}
	}
}
}




add_action('init','we_fix_recurring_old_version');
if(!function_exists('we_fix_recurring_old_version')){
	function we_fix_recurring_old_version() {
		if(is_admin() && isset($_GET['action']) && $_GET['action'] =='fix-recurring'){
			if ( current_user_can( 'manage_options' ) ) {
				$args = array(
					'post_type' => 'product',
					'post_status' => 'publish',
					'posts_per_page' => -1,
					'order' => 'ASC',
					'meta_key' => 'recurren_ext',
					'orderby' => 'meta_value_num',
					'meta_query' => array(
						array(
							'key'     => 'recurren_ext',
							'compare' => 'EXISTS',
						),
					),
				);
				$exwe_posts = get_posts( $args );
				foreach($exwe_posts as $item){
					$exwe_recurr = get_post_meta($item->ID,'recurren_ext', true );
					$exwe_recurr  = explode("_",$exwe_recurr);
					if(isset($exwe_recurr[1]) && $exwe_recurr[1]!= $item->ID){
						delete_post_meta( $item->ID, 'we_recurrence_end');
						delete_post_meta( $item->ID, 'we_recurrence');
						delete_post_meta( $item->ID, 'we_ctdate');
						delete_post_meta( $item->ID, 'we_frequency');
						delete_post_meta( $item->ID, 'we_weekday');
						delete_post_meta( $item->ID, 'we_monthday');
						delete_post_meta( $item->ID, 'we_mweekday');
					}
				}
				wp_redirect( admin_url('edit.php?post_type=product') );
				exit;
			}
			return;
		}
	}
}