<?php
class WooEvent_Checkouthook {
	public function __construct()
    {
		add_action('woocommerce_after_order_notes', array( &$this,'add_user_data_booking'));
		add_action( 'woocommerce_before_checkout_process', array( &$this,'verify_checkout'));
		add_action( 'woocommerce_checkout_update_order_meta', array( &$this,'saveto_order_meta'));
		
		//add_action( 'woocommerce_admin_order_data_after_shipping_address', array( &$this,'my_custom_checkout_field'), 10, 1 );
		add_action( 'woocommerce_after_order_itemmeta', array( &$this,'show_adminorder_ineach_metadata'), 10, 3 );
		add_action( 'woocommerce_order_item_meta_end', array( &$this,'show_order_ineach_metadata'), 10, 3 ); 
    }


	/*function my_custom_checkout_field($order){
		echo '<p><strong>'.__('Phone From Checkout Form').':</strong> ' . get_post_meta( $order->id, 'my_field_name', true ) . '</p>';
	}*/
	
	function verify_checkout(){
		$attendees_required = get_option('we_attendees_required');
		$attendees_required_name = get_option('we_attendees_required_name');
		if($attendees_required_name==''){$attendees_required_name = $attendees_required;}
		$attendees_required_email = get_option('we_attendees_required_email');
		if($attendees_required_email==''){$attendees_required_email = $attendees_required;}
		if(($attendees_required_name=='yes' || $attendees_required_email=='yes') && isset($_POST['we_ids'])){
			foreach($_POST['we_ids'] as $item){
				for( $i = 0 ; $i < count($_POST['we_if_name'][$item]); $i++){
					if($attendees_required_name=='yes'){
						$name = isset($_POST['we_if_name'][$item][$i]) ? $_POST['we_if_name'][$item][$i] : '';
						$name = preg_replace('/\s+/', '', $name);
						if($name =='' ){
							wc_add_notice( esc_html__( 'Please fill name attendees ' ,'exthemes'), 'error' );
						}
						$lname = isset($_POST['we_if_lname'][$item][$i]) ? $_POST['we_if_lname'][$item][$i] : '';
						$lname = preg_replace('/\s+/', '', $lname);
						if($lname =='' ){
							wc_add_notice( esc_html__( 'Please last name attendees ' ,'exthemes'), 'error' );
						}
					}
					if($attendees_required_email=='yes'){
						$email = isset($_POST['we_if_email'][$item][$i]) ? $_POST['we_if_email'][$item][$i] : '';
						if(!filter_var($email, FILTER_VALIDATE_EMAIL)){
							wc_add_notice( esc_html__( 'Please fill a valid email address of attendees' ,'exthemes'), 'error' );
						}
					}
				}
			}
		}
		
	}
	function add_user_data_booking( $checkout ) {
		$c_it = 0;
		$n = $q_ty = 0;
		ob_start();
		foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
			$id = $id_par = $cart_item['product_id'];
			$n ++ ;
			$we_main_purpose = we_global_main_purpose();
			$we_layout_purpose = we_global_default_spurpose($id);
			$exwf_sgpp = exwe_get_layout_purpose($id);
			if(isset($cart_item['variation_id']) && $cart_item['variation_id'] > 0){
				$id = $cart_item['variation_id'];
			}
			if(($we_main_purpose != '' && $we_main_purpose !='event'&& $we_layout_purpose=='woo') || (get_option('we_old_layout')!='yes' && $exwf_sgpp =='woo') ){
			}else{
				
				$value_id = $id.'_'.$n;
				$value_id = apply_filters( 'we_attendee_key', $value_id, $cart_item );
				$_product = wc_get_product ($id);
				if(get_post_meta( $id,'we_startdate', true) !='' || we_if_product_isevent($id_par)== true){
					$c_it ++;
					if($c_it==1){
						$t_atten = get_option('we_text_attende_')!='' ? get_option('we_text_attende_') : esc_html__('Attendees info','exthemes');
						echo '<div class="user_checkout_field"><h3>' . $t_atten . '</h3>';
					}
					$t_fname = get_option('we_text_fname_')!='' ? get_option('we_text_fname_') : esc_html__('First Name: ','exthemes');
					$t_lname = get_option('we_text_lname_')!='' ? get_option('we_text_lname_') : esc_html__('Last Name: ','exthemes');
					$t_email = get_option('we_text_email_')!='' ? get_option('we_text_email_') : esc_html__('Email: ','exthemes');
					$attendees_required = get_option('we_attendees_required');
					$attendees_required_name = get_option('we_attendees_required_name');
					if($attendees_required_name==''){$attendees_required_name = $attendees_required;}
					$attendees_required_email = get_option('we_attendees_required_email');
					if($attendees_required_email==''){$attendees_required_email = $attendees_required;}
					echo '<div class="gr-product">';
						echo '<h4>('.$c_it.') '. get_the_title($id) . '</h4>';
						echo '<input type="hidden" name="we_ids[]" value="'.$value_id.'">';
						if ( $_product && $_product->exists() && $cart_item['quantity'] > 0) {
							echo '<div class="w-product">';
							for($i=0; $i < $cart_item['quantity']; $i++){
								$q_ty ++;
								woocommerce_form_field( 
									'we_if_name['.$value_id.']['.$i.']', 
									array(
										'type'          => 'text',
										'class'         => array('we-ct-class form-row-wide first-el'),
										'label'         => $t_fname.'('.($i+1).')',
										'placeholder'   => '',
										'required'          => $attendees_required_name=='yes' ? true : false,
									), 
									''
								);
								woocommerce_form_field( 
									'we_if_lname['.$value_id.']['.$i.']', 
									array(
										'type'          => 'text',
										'class'         => array('we-ct-class form-row-wide'),
										'label'         => $t_lname.'('.($i+1).')',
										'placeholder'   => '',
										'required'          => $attendees_required_name=='yes' ? true : false,
									), 
									''
								);
								woocommerce_form_field( 'we_if_email['.$value_id.']['.$i.']', 
									array(
										'type'          => 'text',
										'class'         => array('we-ct-class form-row-wide'),
										'label'         => $t_email.'('.($i+1).')',
										'placeholder'   => '',
										'required'          => $attendees_required_email=='yes' ? true : false,
									), 
									''
								);
								do_action( 'we_after_custom_field', $value_id, $i );
							}
							echo '</div>';
						}
					echo '</div>';
					if($c_it==1){
						echo '</div>';
					}
				}
			}
		}
		$output_string = ob_get_contents();
		ob_end_clean();
		$hide_if_one='no';
		$hide_if_one = apply_filters( 'we_attendee_hideifone', $hide_if_one );
		if($q_ty=='1' && $hide_if_one=='yes'){
			return;
		}else{
			echo exwe_dataes($output_string);
		}
	
	}
	function saveto_order_meta( $order_id ) {
		if ( ! empty( $_POST['we_ids'] ) ) {
			foreach($_POST['we_ids'] as $item){
				if ( ! empty( $_POST['we_if_name'][$item] ) ) {
					$nl_meta = $ticket_if = '';
					$nbid= count($_POST['we_if_name'][$item]);
					for( $i = 0 ; $i < $nbid; $i++){
						$name = sanitize_text_field( $_POST['we_if_name'][$item][$i] );
						$lname = sanitize_text_field( $_POST['we_if_lname'][$item][$i] );
						$email = sanitize_text_field( $_POST['we_if_email'][$item][$i] );
						if($nl_meta!=''){
							$nl_meta = $nl_meta.']['.$email.'||'.$name.'||'.$lname;
						}else{
							$nl_meta = $email.'||'.$name.'||'.$lname;
						}
						$nl_meta = apply_filters( 'we_custom_field_extract', $nl_meta,$_POST,$item, $i);
						// new ticket info
						$ticket_if =  $email.'|'.$name.'|'.$lname;
						do_action( 'we_save_data_ticket_info',$order_id,$item, $ticket_if );
					}
					update_post_meta( $order_id, 'att_info-'.$item, $nl_meta );
				}
			}
		}
	}
	function show_adminorder_ineach_metadata($item_id, $item, $_product){
		$id = $item['product_id'];
		if(!isset($_GET['post']) || $_GET['post']==''){ return;}
		$order = new WC_Order( $_GET['post'] );
		$order_items = $order->get_items();
		$n = 0; $find = 0;
		foreach ($order_items as $items_key => $items_value) {
			$n ++;
			if($items_value->get_id() == $item_id){
				$find = 1;
				break;
			}
		}
		if($find == 0){ return;}
		
		$value_id = $id.'_'.$n;
		$value_id = apply_filters( 'we_attendee_key', $value_id, $item );
		
		$metadata = get_post_meta($_GET['post'],'att_info-'.$value_id, true);
		// support very old version
		if($metadata == ''){
			$metadata = get_post_meta($_GET['post'],'att_info-'.$id, true);
		}
		// ver 3.6
		if($metadata == '' && $item['variation_id']!=''){
			$id = $item['variation_id'];
			$value_id = $id.'_'.$n;
			$metadata = get_post_meta($order->get_id(),'att_info-'.$value_id, true);
		}
		if($metadata !=''){
			
			$t_atten = get_option('we_text_attende_')!='' ? get_option('we_text_attende_') : esc_html__('Attendees info','exthemes');
			$t_name = get_option('we_text_name_')!='' ? get_option('we_text_name_') : esc_html__('Name: ','exthemes');
			$t_email = get_option('we_text_email_')!='' ? get_option('we_text_email_') : esc_html__('Email: ','exthemes');
			
			$metadata = explode("][",$metadata);
			if(!empty($metadata)){
				$i=0;
				foreach($metadata as $item){
					$i++;
					$item = explode("||",$item);
					$f_name = isset($item[1]) && $item[1]!='' ? $item[1] : '';
					$l_name = isset($item[2]) && $item[2]!='' ? $item[2] : '';
					echo '<div class="we-user-info">'.$t_atten.' ('.$i.') ';
					echo  $f_name!='' && $l_name!='' ? '<span><b>'.$t_name.'</b>'.$f_name.' '.$l_name.'</span>' : '';
					echo  isset($item[0]) && $item[0]!='' ? '<span><b>'.$t_email.' </b>'.$item[0].'</span>' : '';
					do_action( 'we_after_order_info', $item);
					echo '</div>';
				}
			}
		}
	}
	
	function show_order_ineach_metadata($item_id, $item, $order){
		$id = $item['product_id'];
		$order_items = $order->get_items();
		$n = 0; $find = 0;
		foreach ($order_items as $items_key => $items_value) {
			$n ++;
			if($items_value->get_id() == $item_id){
				$find = 1;
				break;
			}
		}
		if($find == 0){ return;}
		$value_id = $id.'_'.$n;
		$value_id = apply_filters( 'we_attendee_key', $value_id, $item );
		
		$metadata = get_post_meta($order->get_id(),'att_info-'.$value_id, true);
		// support very old version
		if($metadata == ''){
			$metadata = get_post_meta($order->get_id(),'att_info-'.$id, true);
		}
		// ver 3.6
		if($metadata == '' && $item['variation_id']!=''){
			$id = $item['variation_id'];
			$value_id = $id.'_'.$n;
			$metadata = get_post_meta($order->get_id(),'att_info-'.$value_id, true);
		}
		if($metadata !=''){
			
			$t_atten = get_option('we_text_attende_')!='' ? get_option('we_text_attende_') : esc_html__('Attendees info','exthemes');
			$t_name = get_option('we_text_name_')!='' ? get_option('we_text_name_') : esc_html__('Name: ','exthemes');
			$t_email = get_option('we_text_email_')!='' ? get_option('we_text_email_') : esc_html__('Email: ','exthemes');
			
			$metadata = explode("][",$metadata);
			if(!empty($metadata)){
				$i=0;
				foreach($metadata as $item){
					$i++;
					$item = explode("||",$item);
					$f_name = isset($item[1]) && $item[1]!='' ? $item[1] : '';
					$l_name = isset($item[2]) && $item[2]!='' ? $item[2] : '';
					echo '<div class="we-user-info">'.$t_atten.' ('.$i.') <br>';
					echo  $f_name!='' && $l_name!='' ? '<span><b>'.$t_name.'</b>'.$f_name.' '.$l_name.'</span><br>' : '';
					echo  isset($item[0]) && $item[0]!='' ? '<span><b>'.$t_email.' </b>'.$item[0].'</span><br>' : '';
					do_action( 'we_after_order_info', $item);
					echo '</div>';
				}
			}
		}
	}

	
}
$WooEvent_Checkouthook = new WooEvent_Checkouthook();