<?php
global $number_excerpt;
$we_startdate = get_post_meta( get_the_ID(), 'we_startdate', true );
$we_enddate = get_post_meta( get_the_ID(), 'we_enddate', true )  ;
global $product;	
$type = $product->get_type();
$price ='';
if($type=='variable'){
	$price = we_variable_price_html();
}else{
	if ( $price_html = $product->get_price_html() ) :
		$price = $price_html; 
	endif; 	
}
if(get_post_type(get_the_ID()) == 'product_variation') {
    $variation = wc_get_product(get_the_ID());
    $parent_id = $variation->get_parent_id();
}else{ $parent_id = get_the_ID();}
$we_adress = get_post_meta( $parent_id, 'we_adress', true );
$we_status = woo_event_status( get_the_ID(), $we_enddate);
if(get_option('we_dis_status') =='yes'){ $we_status ='';}
$image_src = wp_get_attachment_image_src( get_post_thumbnail_id($parent_id),'full' );
$bg_style = 'style="background-image:url('.esc_url($image_src[0]).');"';

$we_eventcolor = we_event_custom_color(get_the_ID());
if($we_eventcolor==''){$we_eventcolor = we_autochange_color();}
$bgev_color = $bd_cl = '';
if($we_eventcolor!=""){
	$bgev_color = 'style="background-color:'.esc_attr($we_eventcolor).'"';
	$bd_cl =  $we_eventcolor;
}
?>
<li id="tlct-<?php the_ID();?>">
    <div class="timeline-content">
    	 <?php
         if($we_startdate!=''){ ?>
    	<div class="tl-tdate" <?php echo exwe_dataes($bgev_color!='' ? $bgev_color : '');?>>
            <span class="tlday"><?php echo date_i18n( 'd', $we_startdate)?></span>
            <div>
                <span><?php echo date_i18n( 'l', $we_startdate)?></span>
                <span><?php echo date_i18n( 'F, Y', $we_startdate)?></span>
            </div>
            <?php
			if($bd_cl!=''){
				?>
				<style>
				.we-timeline-shortcode ul li#tlct-<?php the_ID();?> .timeline-content:before {
					border-left-color: transparent;
					border-right-color:<?php echo esc_attr($bd_cl);?>
				}
				@media screen and (min-width: 768px) {
					.we-timeline-shortcode ul li#tlct-<?php the_ID();?>:nth-child(odd) .timeline-content:before{
						border-right-color: transparent;
						border-left-color:<?php echo esc_attr($bd_cl);?>;
					}
				}
				</style>
				<?php
			}
			 ?>
        </div>
        <?php }?>
        <?php
		if(1==10){?>
			<a class="img-left" href="<?php echo get_permalink(get_the_ID());?>" title="<?php the_title_attribute();?>">
				<span class="info-img"><?php the_post_thumbnail('wethumb_460x307');?></span>
			</a>
		<?php }?>
        <div class="we-more-meta" <?php echo exwe_dataes($bg_style);?>>
        	<div class="bg-inner">
                <?php we_event_label_html();?>
                <h3><a href="<?php the_permalink(); ?>" class="link-more"><?php the_title();?></a>
                <?php we_subtitle_html($parent_id);?>
                </h3>
                <?php
                    if($price!=''){
                        echo  '<span><i class="fa fa-shopping-basket"></i>'.exwe_dataes($price).'</span>';
                    }
                    if($we_status!=''){
                        echo '
                        <span>
                            <i class="fa fa-ticket"></i>
                            '.exwe_dataes($we_status).'
                        </span>';
                    }
                ?>
                <div class="timeline-excerpt"><?php echo wp_trim_words(get_the_excerpt($parent_id),$number_excerpt,$more = '...');?></div>
            </div>
        </div>
    </div>
    <div class="tl-point" <?php echo exwe_dataes($bgev_color!='' ? $bgev_color : '');?>></div>
    <div class="tl-readmore-center">
        <a href="<?php echo get_permalink(get_the_ID());?>" title="<?php the_title_attribute();?>">
            <?php echo get_option('we_text_viewdetails')!='' ? get_option('we_text_viewdetails') : esc_html__('View Details','exthemes');?> <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
        </a>
    </div>
</li>